﻿using FluentValidation;
using Hotline.Share.Dtos;

namespace Hotline.Application.Contracts.Validators
{
    public class AddTelGroupDtoValidator : AbstractValidator<AddTelGroupDto>
    {
        public AddTelGroupDtoValidator()
        {
            RuleFor(d => d.No).NotEmpty();
        }
    }

    public class UpdateTelGroupDtoValidator : AbstractValidator<UpdateTelGroupDto>
    {
        public UpdateTelGroupDtoValidator()
        {
            RuleFor(d => d.Id).IsGuidStructureString();
            Include(new AddTelGroupDtoValidator());
        }
    }
}
