﻿using System.ComponentModel;
using SqlSugar;
using XF.Domain.Entities;

namespace Hotline.Users
{
    /// <summary>
    /// 用户
    /// </summary>
    [Description("用户")]
    public class User : CreationSoftDeleteEntity
    {
        /// <summary>
        /// 身份认证编号
        /// </summary>
        [SugarColumn(ColumnDescription = "外部身份认证系统编号", IsNullable = true)]
        public string? UnionId { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string PhoneNo { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? NickName { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? StaffNo { get; set; }

        /// <summary>
        /// 默认分机号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? DefaultTelNo { get; set; }
    }
}
